Retrieve Buyer Details
GET/buyers/{buyer-id}
Retrieves the Buyer details.
Request
Path Parameters
Possible values: <= 255 characters
Unique identifier of the customer in your system.
Responses
- 200
OK
- application/json
- Schema
- Example (from schema)
Schema
buyer
object
buyerDetails
object
Possible values: <= 30 characters
Possible values: <= 40 characters
Possible values: <= 40 characters
Possible values: <= 100 characters
Possible values: <= 5 characters
Possible values: <= 100 characters
Possible values: <= 18 characters
Possible values: <= 18 characters
Possible values: <= 18 characters
Possible values: [DateOfBirth, CustomerId, NationalId, PassportNumber, DriverLicense, TaxId, CompanyRegistrationNumber, ProxyId, SocialSecurityNumber, AlienRegistrationNumber, LawEnforcementId, MilitaryId, TravelId, Email, PhoneNumber]
Possible values: <= 100 characters
Possible values: [Business, Individual]
Possible values: <= 25 characters
Possible values: <= 34 characters
billingAddress
object
Possible values: <= 60 characters
Possible values: <= 60 characters
Possible values: <= 60 characters
Possible values: <= 100 characters
Possible values: <= 6 characters
Possible values: <= 10 characters
Possible values: <= 30 characters
2 digits ISO country code
Possible values: >= 2 characters and <= 2 characters
Possible values: <= 18 characters
shippingAddress
object
falsePossible values: <= 60 characters
Possible values: <= 60 characters
Possible values: <= 60 characters
Possible values: <= 20 characters
Possible values: <= 6 characters
Possible values: <= 10 characters
Possible values: <= 30 characters
Possible values: >= 2 characters and <= 2 characters
Possible values: <= 30 characters
Possible values: <= 40 characters
Possible values: <= 18 characters
Possible values: <= 18 characters
Name of the person/entity to whose care the shipment is addressed.
Salutation used for the shipping recipient (e.g., Mr, Ms, Dr).
ShippingTrackingDetails
object
Customer number associated with the shipment.
Type of shipping address (e.g., residential, business).
Shipping method/type (e.g., standard, express).
Name of the shipping carrier.
Tracking identifier provided by the carrier.
URL where tracking status can be viewed.
result
object
required
Possible values: [success, error]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Unexpected errorInternal reference for troubleshooting
Possible values: <= 400 characters
{
"buyer": {
"buyerId": "[email protected]",
"buyerDetails": {
"firstName": "string",
"middleName": "string",
"lastName": "string",
"companyName": "string",
"locale": "string",
"dateOfBirth": "2024-07-29",
"email": "string",
"phone": "string",
"phone2": "string",
"workPhone": "string",
"identificationType": "DateOfBirth",
"identificationValue": "string",
"cardHolderEntityType": "Business",
"nationalIdentificationNumber": "string",
"accountReference": "string",
"billingAddress": {
"address": "string",
"addressLine2": "string",
"addressLine3": "string",
"street": "string",
"state": "string",
"zip": "string",
"city": "string",
"countryCode": "string",
"phone": "string",
"addressMatch": true
},
"shippingAddress": {
"sameAsBilling": false,
"address": "string",
"addressLine2": "string",
"addressLine3": "string",
"streetNumber": "string",
"state": "string",
"zip": "string",
"city": "string",
"countryCode": "string",
"firstName": "string",
"lastName": "string",
"phone": "string",
"phone2": "string",
"careOf": "string",
"salutation": "string",
"ShippingTrackingDetails": {
"customerNumber": "string",
"addressType": "string",
"shippingType": "string",
"shippingCarrierName": "string",
"trackingId": "string",
"trackingUrl": "string"
}
}
}
},
"result": {
"status": "success",
"errors": {
"code": "7000.1000",
"reason": "Unexpected error",
"reference": "string"
}
}
}